Pkgcheck Warnings

  • All Versions
    • PotentialStable
      slot(3.0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
    • UnstableOnly
      for arch: [ hppa ], all versions are unstable: [ 2.24.5-r1, 3.24.9 ]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
    • PotentialStable
      slot(2.4), stabled arches: [ amd64, arm, ppc, ppc64, sparc, x86 ], potentials: [ ~arm64, ~hppa ]
    • DroppedKeywords
      hppa
    • DeprecatedEapi
      uses deprecated EAPI 6
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (369 total) failed REQUIRED_USE: ( aqua || wayland || X )
  • 4.12.0
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
    • DroppedKeywords
      hppa
  • 3.24.9
    • PotentialStable
      slot(3.0), stabled arches: [ amd64, arm, arm64, ppc, ppc64, sparc, x86 ], potential: [ ~hppa ]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (369 total) failed REQUIRED_USE: ( aqua || wayland || X )
  • 2.24.5-r1
    • PotentialStable
      slot(2.4), stabled arches: [ amd64, arm, ppc, ppc64, sparc, x86 ], potentials: [ ~arm64, ~hppa ]
    • DeprecatedEapi
      uses deprecated EAPI 6

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.